from monkey_island.cc.services.reporting.issue_processing.exploit_processing.exploiter_report_info import (  # noqa: E501
    CredentialType,
    ExploiterReportInfo,
)
from monkey_island.cc.services.reporting.issue_processing.exploit_processing.processors.exploit import (  # noqa: E501
    ExploitProcessor,
)


class CredExploitProcessor:
    @staticmethod
    def get_exploit_info_by_dict(class_name: str, exploit_dict: dict) -> ExploiterReportInfo:
        exploit_info = ExploitProcessor.get_exploit_info_by_dict(class_name, exploit_dict)

        for attempt in exploit_dict["data"]["attempts"]:
            if attempt["result"]:
                exploit_info.username = attempt["user"]
                if attempt["password"]:
                    exploit_info.credential_type = CredentialType.PASSWORD.value
                    exploit_info.password = attempt["password"]
                elif attempt["ssh_key"]:
                    exploit_info.credential_type = CredentialType.KEY.value
                    exploit_info.ssh_key = attempt["ssh_key"]
                else:
                    exploit_info.credential_type = CredentialType.HASH.value
                return exploit_info
        return exploit_info
